Main Page Compound List File List Compound Members File Members

# App Struct Reference

List of all members.

## Public Attributes
MemHandle | pictureBitmapH [ObjectBitmapCount]
BitmapPtr | pictureBitmapP [ObjectBitmapCount]
MemPtr | pictureBitmapBitsP [ObjectBitmapCount]
Boolean | pictureIsTransparent [ObjectBitmapCount]
Boolean | pad1 [3]
UInt32 | pictureTransparencyIndex [ObjectBitmapCount]
Boolean | customBlitting
Boolean | pad2 [3]
UInt16 | soundAmp
UInt16 | pad3 [1]
Int16 | screenWidth
Int16 | screenHeight
WinHandle | screenBufferH
UInt8 * | screenBufferP
WinHandle | currentDrawWindowH
Boolean | isInputMasked
Boolean | pad4 [3]
AppJoystickInput | joystickInput
TwInput | inputQueueP
Int32 * | inputFormatP
Int16 | gameMenuSelected
| Indicates which game menu item is selected.
Int16 | pad5 [1]
UInt32 | cycleNextTime
| Controls when the next cycle starts.
UInt32 | cycleDurationTime

## Member Data Documentation

WinHandle App::currentDrawWindowH

Boolean App::customBlitting

UInt32 App::cycleDurationTime

UInt32 App::cycleNextTime

| Controls when the next cycle starts.

Int16 App::gameMenuSelected

| Indicates which game menu item is selected.

Int32* App::inputFormatP

TwInput App::inputQueueP

Boolean App::isInputMasked

| These are used to get the input. isInputMasked prevents them from being set or unset repeatedly. The padding inserted is to achieve ARM alignment for these data structures. NOTE: replace with compiler options when CW9 is avaiable.

AppJoystickInput App::joystickInput

Boolean App::pad1[3]

Boolean App::pad2[3]

UInt16 App::pad3[1]

Boolean App::pad4[3]

Int16 App::pad5[1]

MemPtr App::pictureBitmapBitsP[ObjectBitmapCount]

| These are only used if customBlitting is true. They cache some of the info on the pictures that will be used often. Custom blitting means using a custom blitter drawing to a frame buffer, versus using the standard API calls.

MemHandle App::pictureBitmapH[ObjectBitmapCount]

BitmapPtr App::pictureBitmapP[ObjectBitmapCount]

Boolean App::pictureIsTransparent[ObjectBitmapCount]

UInt32 App::pictureTransparencyIndex[ObjectBitmapCount]

WinHandle App::screenBufferH

UInt8* App::screenBufferP

Int16 App::screenHeight

Int16 App::screenWidth

UInt16 App::soundAmp

The documentation for this struct was generated from the following file:

- HostPalm.c